Host Graphics Manager Get Graphics Info

Host Graphics Manager Get Graphics Info
Array of graphics information

Array of graphics information

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/graphicsInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostGraphicsManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "deviceName": "string",
        "vendorName": "string",
        "pciId": "string",
        "graphicsType": "string",
        "vgpuMode": "string",
        "memorySizeInKB": 0,
        "vm": [
            {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        ]
    }
]
array of object
Optional

This data object type describes information about a single graphics device.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostGraphicsManager/{moId}/graphicsInfo